Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.exception
Class InvalidArgumentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.beasys.commerce.foundation.exception.ApplicationException
                  com.beasys.commerce.foundation.exception.InvalidArgumentException

All Implemented Interfaces
  MessageCatalogException, Serializable

Direct Known Subclasses:
  InvalidConversionPolicyException, InvalidPriceException, InvalidQuantityException, InvalidUnitException

Deprecated

    @Deprecated
    public class InvalidArgumentException

extends ApplicationException

Application exception used to signal that an invalid argument was passed to a method.

Note: Throughout this API documentation namespace refers to the resource bundle that contains the catalog of exception messages. Refer to the `MessageCatalog` API documentation for further details.

See Also
  `MessageCatalogException`, Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`InvalidArgumentException()` Deprecated Constructs an `InvalidArgumentException` with no associated message.
`InvalidArgumentException(InvalidArgumentException topException, InvalidArgumentException bottomException)` Deprecated Constructs an `InvalidArgumentException` from two source `InvalidArgumentException`s by concatinating the screen and log messages of the two source `InvalidArgumentException`s.
`InvalidArgumentException(String parameterName)` Deprecated Class constructor.
`InvalidArgumentException(String namespace, String messageKey)` Deprecated Class constructor taking the namespace and key of the associated catalog message.
`InvalidArgumentException(String namespace, String messageKey, Exception exception)` Deprecated Class constructor taking the namespace and key of the associated catalog message and an embedded exception.
`InvalidArgumentException(String namespace, String messageKey, Object argument)` Deprecated Class constructor taking the namespace and key of the associated catalog message and a message parameter substitution argument.
`InvalidArgumentException(String namespace, String messageKey, Object[] arguments)` Deprecated Class constructor taking the namespace and key of the associated catalog message and message parameter substitution arguments.
`InvalidArgumentException(String namespace, String messageKey, Object[] arguments, Exception exception)` Deprecated Class constructor taking the namespace and key of the associated catalog message, message parameter substitution arguments, and an embedded exception.
`InvalidArgumentException(String namespace, String messageKey, Object argument, Exception exception)` Deprecated Class constructor taking the namespace and key of the associated catalog message, message parameter substitution argument, and an embedded exception.

Method Summary

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidArgumentException

    public InvalidArgumentException(String parameterName)

  Deprecated
  Class constructor.

  Parameters
    `parameterName` - The name of the parameter that was incorrected passed.

### InvalidArgumentException

    public InvalidArgumentException()

  Deprecated
  Constructs an `InvalidArgumentException` with no associated message.

### InvalidArgumentException

    public InvalidArgumentException(InvalidArgumentException topException,
                                    InvalidArgumentException bottomException)

  Deprecated
  Constructs an `InvalidArgumentException` from two source `InvalidArgumentException`s by concatinating the screen and log messages of the two source `InvalidArgumentException`s. The messages of the first `InvalidArgumentException` will preceed those of the second in the constructed `InvalidArgumentException`. Furthermore, the new `InvalidArgumentException` will have the embedded exception of the first `InvalidArgumentException` associated with it.

  Parameters
    `InvalidArgumentException` - topException
    `InvalidArgumentException` - bottomException

### InvalidArgumentException

    public InvalidArgumentException(String namespace,
                                    String messageKey)

  Deprecated
  Class constructor taking the namespace and key of the associated catalog message.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.

### InvalidArgumentException

    public InvalidArgumentException(String namespace,
                                    String messageKey,
                                    Exception exception)

  Deprecated
  Class constructor taking the namespace and key of the associated catalog message and an embedded exception.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `exception` - The embedded exception.

### InvalidArgumentException

    public InvalidArgumentException(String namespace,
                                    String messageKey,
                                    Object argument)

  Deprecated
  Class constructor taking the namespace and key of the associated catalog message and a message parameter substitution argument.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.

### InvalidArgumentException

    public InvalidArgumentException(String namespace,
                                    String messageKey,
                                    Object argument,
                                    Exception exception)

  Deprecated
  Class constructor taking the namespace and key of the associated catalog message, message parameter substitution argument, and an embedded exception.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.
    `exception` - The embedded exception.

### InvalidArgumentException

    public InvalidArgumentException(String namespace,
                                    String messageKey,
                                    Object[] arguments)

  Deprecated
  Class constructor taking the namespace and key of the associated catalog message and message parameter substitution arguments.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.

### InvalidArgumentException

    public InvalidArgumentException(String namespace,
                                    String messageKey,
                                    Object[] arguments,
                                    Exception exception)

  Deprecated
  Class constructor taking the namespace and key of the associated catalog message, message parameter substitution arguments, and an embedded exception.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.
    `exception` - The embedded exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.